package com.digi.garagedoor.idigi.xml_classes;

import java.util.ArrayList;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.ElementList;
import org.simpleframework.xml.Root;

@Root(name = "do_command", strict = false)
public class DoCommand {
    private static final long serialVersionUID = 7526472295622776107L;

    @Attribute
    public String target;

    @ElementList(inline = true, required = false)
    private ArrayList<AtResponse> list;

    public ArrayList<AtResponse> getList() {
        if (this.list == null)
            this.list = new ArrayList<AtResponse>(0);

        return this.list;
    }
}
