package com.digi.garagedoor.idigi.xml_classes;

import java.util.ArrayList;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.ElementList;
import org.simpleframework.xml.Root;

@Root(name = "device", strict = false)
public class IDigiDevice {
    private static final long serialVersionUID = 7526472295622776108L;

    @Attribute
    public String id;

    @ElementList(inline = true, required = true)
    private ArrayList<RciReply> list;

    public ArrayList<RciReply> getList() {
        if (this.list == null)
            this.list = new ArrayList<RciReply>(0);

        return this.list;
    }
}
