package com.digi.garagedoor.idigi.xml_classes;

import java.util.ArrayList;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.ElementList;
import org.simpleframework.xml.Root;

@Root(name = "rci_reply", strict = false)
public class RciReply {
    private static final long serialVersionUID = 7526472295622776109L;

    @Attribute
    public String version;

    @ElementList(inline = true, required = true)
    private ArrayList<DoCommand> list;

    public ArrayList<DoCommand> getList() {
        if (this.list == null)
            this.list = new ArrayList<DoCommand>(0);

        return this.list;
    }
}