package com.digi.garagedoor.idigi.xml_classes;

import java.util.ArrayList;

import org.simpleframework.xml.ElementList;
import org.simpleframework.xml.Root;

@Root(name = "send_message", strict = false)
public class SendMessage {
    private static final long serialVersionUID = 7526472295622776111L;

    @ElementList(inline = true, required = true)
    private ArrayList<IDigiDevice> list;

    public ArrayList<IDigiDevice> getList() {
        if (this.list == null)
            this.list = new ArrayList<IDigiDevice>(0);

        return this.list;
    }
}
