package com.digi.garagedoor.idigi.xml_classes;

import java.util.ArrayList;

import org.simpleframework.xml.Attribute;
import org.simpleframework.xml.ElementList;
import org.simpleframework.xml.Root;

@Root(name = "sci_reply", strict = false)
public class SciReply {
    private static final long serialVersionUID = 7526472295622776110L;

    @Attribute
    public String version;

    @ElementList(inline = true, required = true)
    private ArrayList<SendMessage> list;

    public ArrayList<SendMessage> getList() {
        if (this.list == null)
            this.list = new ArrayList<SendMessage>(0);

        return this.list;
    }
}
